Bug 325111 - Fedora 8 Installer has no detected PS3 HD
Fedora 8 Installer has no detected PS3 HD
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
8
powerpc Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
http://forums.fedoraforum.org/showthr...
:
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-10-09 12:14 EDT by Akenateb
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-12 17:09:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
List of files in /sys/bus/ps3_system_bus (1.18 KB, text/plain)
2007-10-11 18:15 EDT, Bill Blake
no flags Details

  None (edit)
Description Akenateb 2007-10-09 12:14:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 6.0; SLCC1; .NET CLR 2.0.50727; Media Center PC 5.0; .NET CLR 3.0.04506)

Description of problem:
None of Fedora 8 Tests has detected PS3´s Hard drive, although since Fedora Core 5 we are working with it.

Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1.Install Fedora 8 test 1/2/3
2.
3.

Actual Results:
Its not possible install Fedora 8 on PS3

Expected Results:
Fedora 8 test 3 running on PS3

Additional info:
Comment 1 David Woodhouse 2007-10-11 10:12:37 EDT
Do you have a directory /sys/bus/ps3_system_bus/ ? Or is it called
/sys/bus/ps3_system? 

If the kernel changed the name of the directory in sysfs (as I think it might
have done), then perhaps kudzu's ps3.c needs to be changed to cope.

Completely untested, and nobody's even confirmed what's currently in sysfs (I'm
a few thousand miles from my PS3s):
http://david.woodhou.se/kudzu-1.2.77-ps3-detect.patch
Comment 2 Bill Blake 2007-10-11 18:15:35 EDT
Created attachment 224851 [details]
List of files in /sys/bus/ps3_system_bus
Comment 3 Chris Lumens 2007-10-12 17:09:09 EDT
This should be fixed in the next build of anaconda.
Comment 4 Akenateb 2007-10-24 03:58:08 EDT
Tested with new anaconda:

anaconda-11.3.0.42-1.ppc.rpm 

anaconda-runtime-11.3.0.42-1.ppc.rpm 

Nothing again.
Comment 5 cabe 2007-11-02 10:02:27 EDT
I patched 
anaconda-runtime-11.3.0.50-1.ppc64.rpm  &
anaconda-11.3.0.50-1.ppc64.rpm into a 
Fedora-7.92-ppc-DVD.iso by renaming them 
anaconda-runtime-11.3.0.36-1.ppc.rpm and 
anaconda-11.3.0.36-1.ppc.rpm and placing them in the /Packages dir on the iso
when I ran the disk with kexec -f --initrd.image.gz --command-line="text" vmlinuz
(to get a text mode install so the buttons aren't off my sdtv screen)
It said it was starting anaconda 11.3.0.36 (filename? I deleted the package on
the disk, yet it started.) 

when anaconda started it failed to detect the hard disk

Kboot seems to mount the disk (although nothing on it). can I send a command
line option to vmlinuz to make it go to kboot's /dev/ps3hd?

Any help would be appreciated


-cabe

Note You need to log in before you can comment on or make changes to this bug.